org.apache.hadoop.mapred.lib

## Class FilterOutputFormat<K,V>

- java.lang.Object
- - org.apache.hadoop.mapred.lib.FilterOutputFormat<K,V>

- All Implemented Interfaces:
    OutputFormat<K,V>
  Direct Known Subclasses:
    LazyOutputFormat

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class FilterOutputFormat<K,V>
      extends Object
      implements OutputFormat<K,V>

  FilterOutputFormat is a convenience class that wraps OutputFormat.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected OutputFormat<K,V>` | `baseOut`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterOutputFormat()`
    `FilterOutputFormat(OutputFormat<K,V> out)` Create a FilterOutputFormat based on the supplied output format.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkOutputSpecs(FileSystem ignored, JobConf job)` Check for validity of the output-specification for the job.
    `RecordWriter<K,V>` | `getRecordWriter(FileSystem ignored, JobConf job, String name, Progressable progress)` Get the `RecordWriter` for the given job.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### baseOut

          protected OutputFormat<K,V> baseOut

  - ### Constructor Detail

    - #### FilterOutputFormat

          public FilterOutputFormat()

    - #### FilterOutputFormat

          public FilterOutputFormat(OutputFormat<K,V> out)

      Create a FilterOutputFormat based on the supplied output format.
      Parameters:
        `out` - the underlying OutputFormat

  - ### Method Detail

    - #### getRecordWriter

          public RecordWriter<K,V> getRecordWriter(FileSystem ignored,
                                                   JobConf job,
                                                   String name,
                                                   Progressable progress)
                                            throws IOException

      Description copied from interface: `OutputFormat`
      Get the `RecordWriter` for the given job.
      Specified by:
        `getRecordWriter` in interface `OutputFormat<K,V>`
        `job` - configuration for the job whose output is being written.
        `name` - the unique name for this part of the output.
        `progress` - mechanism for reporting progress while writing to file.
      Returns:
        a `RecordWriter` to write the output for the job.
      Throws:
        `IOException`

    - #### checkOutputSpecs

          public void checkOutputSpecs(FileSystem ignored,
                                       JobConf job)
                                throws IOException

      Description copied from interface: `OutputFormat`
      Check for validity of the output-specification for the job.

      This is to validate the output specification for the job when it is a job is submitted. Typically checks that it does not already exist, throwing an exception when it already exists, so that output is not overwritten.

      Specified by:
        `checkOutputSpecs` in interface `OutputFormat<K,V>`
        `job` - job configuration.
      Throws:
        `IOException` - when output should not be attempted

Copyright © 2022 Apache Software Foundation. All rights reserved.